Skip to content

Channel Search Results

Request

Get the search results for a specific notification channel.

Security
apikeyAuth(Required scopes: readwrite)
Path
channelIdstringrequired
GET
/api/v1/user/channels/{channelId}
curl -i -X GET \
  'https://urlscan.io/api/v1/user/channels/{channelId}' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

Successful response

Bodyapplication/json
channelobject(channelResponse)
Example:
{ "_id": "{{channelId}}", "type": "webhook", "webhookURL": "https://example.com/cgi-bin/urlscan", "name": "Test webhook", "description": "Webhook testing channel.", "isActive": true, "ignoreTime": false }
Response
{ "channel": { "_id": "{{channelId}}", "type": "webhook", "webhookURL": "https://example.com/cgi-bin/urlscan", "name": "Test webhook", "description": "Webhook testing channel.", "isActive": true, "ignoreTime": false } }